Skip to main content
PATCH
Update promotion code

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
code
string

Promotion code.

Example:

"PROMO123"

customer_id
string | null

If a customer_id is set, this promotion code will only be available to this customer.

Example:

"cus_DKL4Xcb5VSa8CQ"

plan_id
string | null

If a plan_id is set, this promotion code will only be available for subscriptions with this plan ID.

Example:

"plan_DKL4Xcb5VSa8CQ"

product_id
string | null

If a product_id is set, this promotion code will only be available for subscriptions with this product ID.

Example:

"itm_DKL4Xcb5VSa8CQ"

expires_at
string<date-time> | null

Date and time when the promotion code expires.

Example:

"2021-01-01T00:00:00.000Z"

max_redemptions
number | null

Maximum number of redemptions for the promotion code. Independent from coupon's max redemptions.

Example:

10

current_redemptions
integer | null

Current number of redemptions for the promotion code.

Example:

0

duration_count
integer | null

Duration count applied to the subscription for the promotion code. 0 or null for once

Required range: x >= 1
Example:

1

duration_period
enum<string> | null

Duration period applied to the subscription for the promotion code for the promotion code. Valid values are once, days, weeks, months, years

Available options:
once,
days,
weeks,
months,
years
Example:

"months"

only_for_first_time_order
boolean | null
default:false

Whether the promotion code is only for first time orders. Defaults to false

Example:

false

Response

id
string
required

Promotion code ID.

Example:

"promo_DKL4Xcb5VSa8CQ"

code
string
required

Promotion code.

Example:

"PROMO123"

coupon_id
string
required

Coupon ID.

Example:

"cou_DKL4Xcb5VSa8CQ"

client_id
string
required

Client ID.

Example:

"cli_DKL4Xcb5VSa8CQ"

customer_id
string | null
required

If a customer_id is set, this promotion code will only be available to this customer.

Example:

"cus_DKL4Xcb5VSa8CQ"

plan_id
string | null
required

If a plan_id is set, this promotion code will only be available for subscriptions with this plan ID.

Example:

"plan_DKL4Xcb5VSa8CQ"

product_id
string | null
required

If a product_id is set, this promotion code will only be available for subscriptions with this product ID.

Example:

"itm_DKL4Xcb5VSa8CQ"

created_at
string<date-time>
required

Promotion code creation date. UTC date time string in the ISO 8601 format.

Example:

"2021-01-01T00:00:00.000Z"

updated_at
string<date-time>
required

Promotion code last edition date. UTC date time string in the ISO 8601 format.

Example:

"2021-01-01T00:00:00.000Z"

expires_at
string<date-time> | null
required

Date and time when the promotion code expires.

Example:

"2021-01-01T00:00:00.000Z"

max_redemptions
number | null
required

Maximum number of redemptions for the promotion code. Independent from coupon's max redemptions.

Example:

10

current_redemptions
number | null
required

Current number of redemptions for the promotion code.

Example:

0

duration_count
number | null
required

Duration count applied to the subscription for the promotion code. 0 or null for once

Example:

1

duration_period
enum<string> | null
required

Duration period applied to the subscription for the promotion code for the promotion code. Valid values are once, days, weeks, months, years

Available options:
once,
days,
weeks,
months,
years
Example:

"months"

only_for_first_time_order
boolean | null
required

Whether the promotion code is only for first time orders. Defaults to false

Example:

false